#include "alloc.h"
#include "error.h"
extern char *malloc();
extern void free();

char *alloc(n)
unsigned int n;
{
 char *x;
 if (n < 1000000000) n += 2;
 x = malloc(n);
 if (!x) errno = error_nomem;
 return x;
}

void alloc_free(x)
char *x;
{
 free(x);
}
